Open CASCADE Technology: CDF_Store Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
CDF_Store Class Reference

`#include <CDF_Store.hxx>`

## Public Member Functions
| CDF_Store (const Handle< CDM_Document > &aDocument)
| creates a store list from the document of the current selection. More...
CDF_TryStoreStatus | Check ()
| Checks will make the following control. Check must be used before using Create method. Check will not be done twice by Create. More...
Standard_ExtString | LastName () const
| in the case of a subcomponent for which no storage driver exists, returns the name of the subcomponent if there is one. More...
Standard_ExtString | Folder () const
| returns the folder in which the current document will be stored. More...
Standard_ExtString | Name () const
| returns the name under which the current document will be stored More...
Standard_Boolean | IsStored () const
| returns true if the current document is already stored More...
Standard_Boolean | IsModified () const
Standard_Boolean | CurrentIsConsistent () const
Standard_Boolean | IsConsistent () const
Standard_Boolean | HasAPreviousVersion () const
Standard_ExtString | PreviousVersion () const
Standard_Boolean | IsMainDocument () const
| returns true if the currentdocument is the main one, ie the document of the current selection. More...
Standard_Boolean | SetFolder (const TCollection_ExtendedString &aFolder)
| defines the folder in which the document should be stored. returns Standard_True if the Folder exists, Standard_False otherwise. More...
CDF_StoreSetNameStatus | SetName (const Standard_ExtString aName)
| defines the name under which the document should be stored. More...
void | SetComment (const Standard_ExtString aComment)
Standard_ExtString | Comment () const
CDF_StoreSetNameStatus | RecheckName ()
| defines the name under which the document should be stored. uses for example after modification of the folder. More...
Standard_Boolean | SetPreviousVersion (const Standard_ExtString aPreviousVersion)
void | Realize ()
Standard_ExtString | Path () const
| returns the complete path of the created meta-data. More...
Standard_ExtString | MetaDataPath () const
| returns the path of the previous store is the object is already stored, otherwise an empty string; More...
Standard_ExtString | Description () const
| returns the description of the format of the main object. More...
void | InitComponent ()
| Allows to Start a new Iteration from beginning. More...
Standard_Boolean | MoreComponent () const
| Returns True if there are more entries to return. More...
void | NextComponent ()
| Go to the next entry (if there is not, Value will raise an exception) More...
void | SetCurrent ()
Standard_ExtString | Component () const
| Returns item value of current entry. More...
Standard_Boolean | HasSubComponents () const
CDF_SubComponentStatus | SubComponentStatus (const Standard_ExtString aPresentation) const
void | SetCurrent (const Standard_ExtString aPresentation)
void | SetMain ()
| the two following methods can be used just after Realize or Import – method to know if thes methods worked correctly, and if not why. More...
PCDM_StoreStatus | StoreStatus () const
Standard_ExtString | AssociatedStatusText () const
CDF_StoreSetNameStatus | SetName (const TCollection_ExtendedString &aName)
| defines the name under which the document should be stored. More...
Standard_Boolean | SetFolder (const Standard_ExtString aFolder)
| defines the folder in which the document should be stored. returns Standard_True if the Folder exists, Standard_False otherwise. More...

## Constructor & Destructor Documentation

CDF_Store::CDF_Store | ( | const Handle< CDM_Document > & | aDocument | ) |

creates a store list from the document of the current selection.

## Member Function Documentation

Standard_ExtString CDF_Store::AssociatedStatusText | ( |  | ) | const

CDF_TryStoreStatus CDF_Store::Check | ( |  | ) |

Checks will make the following control. Check must be used before using Create method. Check will not be done twice by Create.

1) controls whether there is one document in the current selection. 2) controls whether there is a storage driver for the document. 3) controls whether the applicationdatatype associated with the driver exists as metadata in the metadata manager (Design Manager for example). 4) controls whether there is a storage driver for each subcomponents of the document if there are. If the control fails for a subcomponent, the control stops and name and type of this subcomponent can be get with LastName method 5) controls whether the applicationdatatype associated with the driver of each subcomponent exists as metadata in the metadata manager (Design Manager for example). If the control fails for a subcomponent, the control stops and name and type of this subcomponent can be get with LastName method

Standard_ExtString CDF_Store::Comment | ( |  | ) | const

Standard_ExtString CDF_Store::Component | ( |  | ) | const

Returns item value of current entry.

Standard_Boolean CDF_Store::CurrentIsConsistent | ( |  | ) | const

Standard_ExtString CDF_Store::Description | ( |  | ) | const

returns the description of the format of the main object.

Standard_ExtString CDF_Store::Folder | ( |  | ) | const

returns the folder in which the current document will be stored.

Standard_Boolean CDF_Store::HasAPreviousVersion | ( |  | ) | const

Standard_Boolean CDF_Store::HasSubComponents | ( |  | ) | const

void CDF_Store::InitComponent | ( |  | ) |

Allows to Start a new Iteration from beginning.

Standard_Boolean CDF_Store::IsConsistent | ( |  | ) | const

Standard_Boolean CDF_Store::IsMainDocument | ( |  | ) | const

returns true if the currentdocument is the main one, ie the document of the current selection.

Standard_Boolean CDF_Store::IsModified | ( |  | ) | const

Standard_Boolean CDF_Store::IsStored | ( |  | ) | const

returns true if the current document is already stored

Standard_ExtString CDF_Store::LastName | ( |  | ) | const

in the case of a subcomponent for which no storage driver exists, returns the name of the subcomponent if there is one.

Standard_ExtString CDF_Store::MetaDataPath | ( |  | ) | const

returns the path of the previous store is the object is already stored, otherwise an empty string;

Standard_Boolean CDF_Store::MoreComponent | ( |  | ) | const

Returns True if there are more entries to return.

Standard_ExtString CDF_Store::Name | ( |  | ) | const

returns the name under which the current document will be stored

void CDF_Store::NextComponent | ( |  | ) |

Go to the next entry (if there is not, Value will raise an exception)

Standard_ExtString CDF_Store::Path | ( |  | ) | const

returns the complete path of the created meta-data.

Standard_ExtString CDF_Store::PreviousVersion | ( |  | ) | const

void CDF_Store::Realize | ( |  | ) |

CDF_StoreSetNameStatus CDF_Store::RecheckName | ( |  | ) |

defines the name under which the document should be stored. uses for example after modification of the folder.

void CDF_Store::SetComment | ( | const Standard_ExtString | aComment | ) |

void CDF_Store::SetCurrent | ( |  | ) |

void CDF_Store::SetCurrent | ( | const Standard_ExtString | aPresentation | ) |

Standard_Boolean CDF_Store::SetFolder | ( | const TCollection_ExtendedString & | aFolder | ) |

defines the folder in which the document should be stored. returns Standard_True if the Folder exists, Standard_False otherwise.

Standard_Boolean CDF_Store::SetFolder | ( | const Standard_ExtString | aFolder | ) |

defines the folder in which the document should be stored. returns Standard_True if the Folder exists, Standard_False otherwise.

void CDF_Store::SetMain | ( |  | ) |

the two following methods can be used just after Realize or Import – method to know if thes methods worked correctly, and if not why.

CDF_StoreSetNameStatus CDF_Store::SetName | ( | const Standard_ExtString | aName | ) |

defines the name under which the document should be stored.

CDF_StoreSetNameStatus CDF_Store::SetName | ( | const TCollection_ExtendedString & | aName | ) |

defines the name under which the document should be stored.

Standard_Boolean CDF_Store::SetPreviousVersion | ( | const Standard_ExtString | aPreviousVersion | ) |

PCDM_StoreStatus CDF_Store::StoreStatus | ( |  | ) | const

CDF_SubComponentStatus CDF_Store::SubComponentStatus | ( | const Standard_ExtString | aPresentation | ) | const

The documentation for this class was generated from the following file:

- CDF_Store.hxx